<?php

use Elementor\Modules\WpCli\Update;

if ( ! defined( 'ABSPATH' ) ) exit; 

	if(!function_exists('wpus_pre')){
	function wpus_pre($data){
			if(isset($_GET['debug'])){
				wpus_pree($data);
			}
		}	 
	} 	
	if(!function_exists('wpus_pree')){
	function wpus_pree($data){
				echo '<pre>';
				print_r($data);
				echo '</pre>';	
		
		}	 
	} 
	function sanitize_wpus_data( $input ) {

		if(is_array($input)){
		
			$new_input = array();
	
			foreach ( $input as $key => $val ) {
				$new_input[ $key ] = (is_array($val)?sanitize_wpus_data($val):sanitize_text_field( $val ));
			}
			
		}else{
			$new_input = sanitize_text_field($input);
			if(stripos($new_input, '@') && is_email($new_input)){
				$new_input = sanitize_email($new_input);
			}

			if(stripos($new_input, 'http') || wp_http_validate_url($new_input)){
				$new_input = esc_url($new_input);
			}
		}
		

		
		return $new_input;
	}		
	function wpus_admin_menu()
	{
		global $wpus_data;		
		$title = str_replace(array('WooCommerce', 'WordPress'), array('WC', 'WP'), $wpus_data['Name']);
		add_submenu_page('users.php', $title, $title, 'manage_options', 'wpus_merger', 'wpus_merger' );
	}
	function wpus_merger(){ 
		if ( !current_user_can( 'manage_options' ) )  {
			wp_die( __( 'You do not have sufficient permissions to access this page.', 'wp-user-merger' ) );
		}
		global $wpdb; 
		include('wpus_settings.php');	
	}
	//add_action( 'wp_enqueue_scripts', 'wpus_enqueue_scripts' );
	add_action( 'admin_enqueue_scripts', 'wpus_enqueue_scripts' );
	
	function wpus_enqueue_scripts() 
	{
		global $wpsu_options;

		$wpsu_user_searchable = array_key_exists('user_searchable', $wpsu_options) && $wpsu_options['user_searchable'];


		$translation_array = array(

			'this_url' => admin_url( 'users.php?page=wpus_merger' ),
			'wpsu_tab' => (isset($_GET['t'])?$_GET['t']:'0'),
			'wpsu_nonce' => wp_create_nonce('wpsu_nonce_action'),
			'searching' => __('Searching users....', 'wp-user-merger'),
			'need_character' => __('At least 3 characters required', 'wp-user-merger'),
			'placeholder' => __('Search user to merge', 'wp-user-merger'),
			'user_searchable' => $wpsu_user_searchable,

		);
		
		if(is_admin()){
			if(isset($_GET['page']) && in_array($_GET['page'], array('wpus_merger'))){
				
				wp_enqueue_style('fontawesome', plugins_url('css/fontawesome.min.css', dirname(__FILE__)));
				wp_enqueue_style('wpsu-slimselect-css', plugins_url('css/slimselect.min.css', dirname(__FILE__)) );
				wp_enqueue_script('wpsu-slimselect-scripts', plugins_url('js/slimselect.min.js', dirname(__FILE__)), array( 'jquery' ), date('Ym'), true );
	
				wp_enqueue_script('magnific-popup', plugins_url('js/jquery.magnific-popup.min.js', dirname(__FILE__)), array( 'jquery' ), date('Ym'), true );
				wp_enqueue_style('magnific-popup', plugins_url('css/magnific-popup.css', dirname(__FILE__)), array(), date('Ym'));
				
				wp_enqueue_script('wpus-scripts', plugins_url('js/admin-scripts.js', dirname(__FILE__)), array( 'jquery' ), date('Ymd'), true );
				
	
				wp_enqueue_script('bootstrap', plugins_url('js/bootstrap.min.js', dirname(__FILE__)), array( 'jquery' ), date('Ym'), true );
				wp_enqueue_style('bootstrap', plugins_url('css/bootstrap.min.css', dirname(__FILE__)), array(), date('Ym'));
				

				wp_localize_script('wpus-scripts', 'wpsu_obj', $translation_array);


			}
			if(
					((isset($_GET['page']) && in_array($_GET['page'], array('wpus_merger'))) 
				|| 
				(isset($_GET['post_type']) && in_array($_GET['post_type'], array('shop_order'))))
			){
				wp_enqueue_style('wpus-style', plugins_url('css/admin-style.css', dirname(__FILE__)), array(), time(), 'all');
			}
		}
				
	}
		
	if(!function_exists('wpus_delete_user')){
		function wpus_delete_user($user_id) {
			$args = array (
				'numberposts' => -1,
				'post_type' => 'any',
				'author' => $user_id
			);
			// get all posts by this user: posts, pages, attachments, etc..
			$user_posts = get_posts($args);
	
			if (empty($user_posts)) return;
	
				// delete all the user posts
				foreach ($user_posts as $user_post) {
					wp_delete_post($user_post->ID, true);
				}
		}	
	}	
	
	function wpus_plugin_links($links) { 

		global $wpus_premium_link, $wpus_pro;


		$settings_link = '<a href="users.php?page=wpus_merger">'.__('Settings', 'wp-user-merger').'</a>';

		
		if($wpus_pro){
			array_unshift($links, $settings_link); 
		}else{
			 
			$wpus_premium_link = '<a href="'.esc_url($wpus_premium_link).'" title="'.__('Go Premium', 'wp-user-merger').'" target="_blank">'.__('Go Premium', 'wp-user-merger').'</a>'; 
			array_unshift($links, $settings_link, $wpus_premium_link); 
		
		}
				
		
		return $links; 
	}	

	function wpus_get_order_ids_by_user($user_id){

        $args = array(
            'numberposts' => -1,
            'post_type' => 'shop_order',
            'post_status' => 'any',
            'fields' => 'ids',
            'meta_query' => array(
                array(
                    'key' => '_customer_user',
                    'value' => $user_id,
                    'compare' => '='
                )
            )
        );

        return get_posts($args);

    }

	function wpus_reassign_shop_orders($order_ids, $reassign_user){
        global $wpdb;




        $reassign_user_obj = new WP_User($reassign_user);
        $reassign_user_email = $reassign_user_obj->user_email;

        if(!empty($order_ids)){

            $order_ids_str = implode(', ', $order_ids);
            $customer_query = "UPDATE $wpdb->postmeta SET `meta_value` = $reassign_user WHERE `meta_key` = '_customer_user' AND `post_id` IN ($order_ids_str)";
            $email_query = "UPDATE $wpdb->postmeta SET `meta_value` = '$reassign_user_email' WHERE `meta_key` = '_billing_email' AND `post_id` IN ($order_ids_str)";
			$post_author_query = "UPDATE $wpdb->posts SET `post_author` = $reassign_user WHERE `ID` IN ($order_ids_str)";

            $wpdb->query($customer_query);
            $wpdb->query($email_query);
			$wpdb->query($post_author_query);

        }

    }	


	if(!function_exists('wpus_check_billing_address')){
		function wpus_check_billing_address($customer_billing){


			return (!empty($customer_billing) && isset($customer_billing['first_name']) && $customer_billing['first_name'] && isset($customer_billing['email']) && $customer_billing['email']);


		}

	}

	if(!function_exists('wpus_set_orders_billing_shipping')){
		function wpus_set_orders_billing_shipping($order_ids_to_assign, $customer_billing, $customer_shipping){

			if(!empty($order_ids_to_assign)){

				
				foreach($order_ids_to_assign as $order_id){
			
					if(wpus_check_billing_address($customer_billing)){

						$new_order = new WC_Order($order_id);

						foreach ($customer_billing as $billing_key => $billing_val) {
							# code...
							
							$function_name = 'set_billing_'.$billing_key;
							$new_order->$function_name($billing_val);
							
						}

						if(!empty($customer_shipping)){

							foreach ($customer_shipping as $shipping_key => $shipping_val) {
								# code...
								
								$function_name = 'set_shipping_'.$shipping_key;
								$new_order->$function_name($shipping_val);
								
							}

						}

						$new_order->save();
					}

				}


			}


		}
	}


	if(!function_exists('wpus_reassign_order_billing_shipping')){

		function wpus_reassign_order_billing_shipping($order_ids_to_assign, $reasign_user_id){

				if(!empty($order_ids_to_assign) && $reasign_user_id && class_exists('WC_Customer')){

					$wc_customer = new WC_Customer($reasign_user_id);
					$customer_billing = $wc_customer->get_billing();
					$customer_shipping = $wc_customer->get_shipping();
					wpus_set_orders_billing_shipping($order_ids_to_assign, $customer_billing, $customer_shipping);	

				}

		}

	}

	add_action('wp_ajax_wpsu_update_options', 'wpsu_update_options');

	if(!function_exists('wpsu_update_options')){
		function wpsu_update_options(){

			$params = array();
			parse_str($_POST['wpsu_fields'], $params);		
			$params = sanitize_wpus_data($params);

			$result_array = array(
				'status' => false,
			);


			if(!isset($params['wpsu_nonce']) || !wp_verify_nonce($params['wpsu_nonce'], 'wpsu_nonce_action')){
				_e('Sorry, your nonce did not verify.', 'wp-user-merger');
				exit;
			}else{

				$wpsu_options = (array_key_exists('wpsu_options', $params) ? $params['wpsu_options'] : array()); 
				$result_array['status'] = update_option('wpsu_options', $wpsu_options);

			}


			wp_send_json($result_array);

		}
	}

	add_action('wp_ajax_wpsu_get_users_list', 'wpsu_get_users_list');

	if(!function_exists('wpsu_get_users_list')){
		function wpsu_get_users_list(){

			$result = array('status' => false);

			
			if(!empty($_POST) && isset($_POST['wpsu_user_search_string'])){

				if(!isset($_POST['wpsu_nonce']) || !wp_verify_nonce($_POST['wpsu_nonce'], 'wpsu_nonce_action')){

					_e('Sorry, your nonce did not verify.', 'wp-ims');

				}else{					


					$wpsu_user_search_string = sanitize_wpus_data($_POST['ims_user_search_string']);
					$args = array(
						'search' => '*'.$wpsu_user_search_string.'*',
					);

					$users = array();

					
					$users = get_users($args);
					
					if(!empty($users)){
						$data = array();
						foreach($users as $index => $user){
							
							$data[] = array(
								'text' => $user->data->user_email.' ('.$user->data->display_name.' - ID: '.$user->data->ID.')',
								'value' => $user->data->ID,
							);

						}

						

						$result['status'] = true;
						$result['data'] = $data;

					}					

				}

			}


			wp_send_json($result);

		}
	}

	
	add_action('admin_init', 'wpum_admin_init');
	
	if(!function_exists('wpum_admin_init')){
		function wpum_admin_init(){
			$file = basename($_SERVER['SCRIPT_FILENAME']);
			switch($file){
				case 'user-edit.php':
					if($_GET['user_id'] && $_GET['user_id']>0){
						global $wpdb;
						
						$user_id = sanitize_wpus_data($_GET['user_id']);
						$general_meta_keys = array(
													'_learndash_woocommerce_enrolled_courses_access_counter',
													'learndash_last_known_page',
													'_sfwd-course_progress',
													'_sfwd-quizzes',
													'_groups_buckets',
													'_groups_product_groups'
											);
						$course_meta_keys = array(
													'learndash_last_known_course_',
													'learndash_group_users_',
													'learndash_course_expired_',
													'course_completed_'
											);
											
						if(!empty($general_meta_keys)){
							foreach($general_meta_keys as $gkey){
								$gval = get_user_meta($user_id, $gkey, true);
								wpus_pre('<h1>'.$gkey.'</h1>');wpus_pre($gval);
							}							
						}
											
						if(!empty($course_meta_keys)){
							foreach($course_meta_keys as $ckey){
								$cq = "SELECT meta_key, meta_value FROM $wpdb->usermeta WHERE user_id=$user_id AND meta_key LIKE '$ckey%'";
								wpus_pre($cq);
								$cvals = $wpdb->get_results($cq);
								
								wpus_pre('<h1>'.$ckey.'</h1>');
								
								if(!empty($cvals)){
									foreach($cvals as $cval){
										$meta_key = $cval->meta_key;
										$meta_key = explode('_', $meta_key);
										$meta_key = end($meta_key);
										wpus_pre('<h2>'.$meta_key.'</h2>');
										wpus_pre($cval);
									}
								}
							}							
						}						
												
					}
				break;
			}
		}
	}
	if(!function_exists('wpus_save_merged_data')){
    
        function wpus_save_merged_data($user_id, $delete_user_id, $post_array){
    
            $deleted_user = new WP_User($delete_user_id);
            $merged_user = new WP_User($user_id);

   
            $deleted_user = serialize($deleted_user);
            $merged_user = serialize($merged_user);
    
            if(in_array($delete_user_id,$post_array)){
                $reasign_user_id = $user_id;
            }
    
    
            $args = array(
    
                'author' => $reasign_user_id,
                'fields' => 'ids',
                'numberposts' => -1,
                'post_type' => 'any',
            );
    
    
            $merged_array = array(
    
                'deleted_user' =>  maybe_serialize($deleted_user),
                'merged_user' => maybe_serialize($merged_user),
                'deleted_user_meta' =>  maybe_serialize(get_user_meta($delete_user_id)),
                'merged_user_meta' => maybe_serialize(get_user_meta($user_id)),
                'deleted_user_id' => $delete_user_id,
                'merged_user_id' => $user_id,
                'posts_array' => array(),
                'shop_order' => array(),
                'post_deleted' => false,
    
            );
    
            if($reasign_user_id != null){
                
                $merged_array['shop_order'] = wpus_get_order_ids_by_user($delete_user_id);
                $merged_array['posts_array'] = get_posts($args);
            }
            else {
                $merged_array['post_deleted'] = true;
            }
    
            update_user_meta($user_id, '_user_merged_array', $merged_array);
    
        }
    }
	
	function wpus_before_delete_user_callback($delete_id=0, $merged_id=0){
		
	}
	add_action('wpus_before_delete_user', 'wpus_before_delete_user_callback', 10, 2);